Create a project
Create a project in the specified organization, in the given cluster. The project is immediately available for login in Cognite applications, for example through Cognite Data Fusion.
Cluster placement
The chosen cluster must be one of the allowed clusters for the organization.
The project cannot be moved to a different cluster after creation, so make sure to choose the correct one with respect to data locality requirements.
Project OIDC configuration
The OIDC configuration will be copied from the immediate parent organization.
The caller can, and should, set an initial admin group ID for the project. That group is managed by the external
identity provider, as for the organization.
If that group is not set, the project will inherit the admin group ID of the organization it’s created in.
See the projectAdminGroupId field in the request body for more details on this behavior.
Access control
Requires the caller to be an admin in the organization, or any of its ancestors.
In addition, the flag adminsCanCreateProjectsInSubtree must be set to true in that organization.
Example: Assume an organization hierarchy like: org-a -> org-b -> org-c.
To create a project in org-c, which means calling ‘POST /api/v1/orgs/org-c/projects’, the caller must be an admin in
org-a, org-b or org-c.
Also, adminsCanCreateProjectsInSubtree must be true in that same organization.
Documentation Index
Fetch the complete documentation index at: https://docs.cognite.com/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
ID of an organization The ID of an organization
3 - 64^([a-z][a-z0-9-]{1,62}[a-z0-9])$"my-org"
Body
A request to create a new project
1 elementResponse
A successfully created project
1 element